# Firefox Up

Vylepšená výchozí konfigurace [prohlížeče **Firefox**](https://firefox.com) zaměřená na soukromí a lepší zážitek z prohlížeče. Najdete tu také doporučené **vyhledávače** a **doplňky** do prohlížeče.

### 🟩  Konfigurace

V repozitáři se nachází soubor `prefs.js`, který obsahuje spoustu základních nastavení prohlížeče. Stačí jej překopírovat do nově **vytvořeného profilu** ve Firefoxu. Doporučujeme si soubor prohlédnout, všechna nastavení jsou tam popsána.

Tato konfigurace zvyšuje vaše soukromí, ale zároveň zachovává dobrou kompatibilitu s weby. Doporučujeme nastavit také **rozšířenou ochranu proti sledování**, kterou najdete v nastavení v záložce `Soukromí a zabezpečení`.

Pokud potřebujete co nejvyšší soukromí a anonymitu, podívejte se na [pokročilou konfiguraci arkenfox](https://github.com/arkenfox/user.js) nebo pro ještě lepší soukromí a zabezpečení využijte [prohlížeč Tor](https://torproject.org).

### 🟧  Vyhledávač

Pro lepší soukromí není doporučeno používat vyhledávače Google, Bing či podobné, jelikož o uživatelích sbírají spousty dat. Vybral jsem několik vyhledávačů, které by vám mohly vyhovovat a respektují mnohem více vaše soukromí.

> 🔷 [**Brave Search**](https://search.brave.com)
> - Rychlý a soukromý vyhledávač s vlastním indexem.
> - Dobrý na vyhledávání v angličtině a částečně i v češtině.
> - [search.brave.com](https://search.brave.com) | dostupný [přes Tor](https://search.brave4u7jddbv7cyviptqjc7jusxh72uik7zt6adtckl5f4nwy2v72qd.onion)

> 🔷 [**Startpage**](https://startpage.com/)
> - Rychlé a anonymní vyhledávání přes Google.
> - Výsledky přebírá z Googlu, proto jsou tam téměř stejné.
> - [www.startpage.com](https://startpage.com)

> 🔷 [**DuckDuckGo**](https://duckduckgo.com/)
> - Soukromý vyhledávač, který vás nesleduje.
> - Využívá výsledky z Bingu, které nemusí být tak kvalitní.
> - [www.duckduckgo.com](https://duckduckgo.com/) | dostupný [přes Tor](https://duckduckgogg42xjoc72x3sjasowoarfbgcmvfimaftt6twagswzczad.onion/)

### 🟪  Rozšíření

V této sekci najdete rozšíření *nejen* pro Firefox, která zlepší vaše soukromí a zjednoduší vám práci.

Všechna zde uvedená rozšíření jsou open-source.

**Doporučená rozšíření**, která nesmí chybět

> 🔷 [**uBlock Origin**](https://addons.mozilla.org/addon/ublock-origin/)
> - Efektivní blokovač reklam, sledovačů, malwaru a dalšího nechtěného obsahu.

**Užitečná rozšíření**, která se mohou hodit

> 🔷 [**Bitwarden**](https://addons.mozilla.org/addon/bitwarden-password-manager/)
> - Bezpečný, open-source a bezplatný správce hesel, možno self-hostovat.

> 🔷 [**Panorama Tab Groups**](https://addons.mozilla.org/addon/panorama-tab-groups/)
> - Rozšíření na snadné seskupování a organizaci velkého množství panelů.

> 🔷 [**Dark Reader**](https://addons.mozilla.org/addon/darkreader/)
> - Tmavý motiv pro každou webovou stránku.

> 🔷 [I don't care about cookies](https://addons.mozilla.org/addon/i-dont-care-about-cookies/)
> - Rozšíření na zbavení se otravných hlášek ohledně cookies.

> 🔷 [IPvFoo](https://addons.mozilla.org/addon/ipvfoo-pmarks/)
> - Zobrazení IP vzdálených serverů, ke kterým se připojujete.

**Další rozšíření**, která stojí za zmínku

- [Firefox Translations](https://addons.mozilla.org/addon/firefox-translations/) - lokální a soukromý překladač stránek
- [SponsorBlock](https://addons.mozilla.org/addon/sponsorblock/) - blokování sponzorovaných segmentů na YouTube
- [Firefox Color](https://addons.mozilla.org/addon/firefox-color/) - přizpůsobení barev prohlížeče

### 🟥  Není Firefox pro vás?

Pokud vám Firefox nevyhovuje, můžete vyzkoušet prohlížeč **Brave**.

Je postavený na stejném jádru, jako Chrome, takže bude snazší na něj přejít např. z Chromu a také bude více kompatibilní. Kromě toho obsahuje spoustu dalších užitečných funkcí a je taktéž zaměřen na soukromí.

Získat jej můžete na stránkách [www.brave.com](https://brave.com).